#
# spec file for package gnome-branding-MicroOS
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2021 SUSE Software Solutions GmbH
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-branding-Leap
Summary:        Leap Desktop default settings
License:        BSD-3-Clause
Group:          System/GUI/GNOME
URL:            http://www.gtk.org/
Source:         COPYING
Source1:        MicroOS.gschema.override
Source2:        flathub.flatpakrepo
Source3:        mod-firstboot.desktop
Source4:        mod-firstboot
BuildArch:      noarch
BuildRequires:  flatpak
BuildRequires:  gio-branding-openSUSE
Requires:       flatpak
Requires:       gio-branding-openSUSE
Requires:       sound-theme-freedesktop
Version:        20210427
Release:        lp160.1.28

%description
This package provides Leap defaults for GNOME settings.

%prep
%setup -q -T -c %{name}-%{version}
cp -a %{SOURCE0} COPYING
cp -a %{SOURCE1} 30_MicroOS.gschema.override
cp -a %{SOURCE2} flathub.flatpakrepo
cp -a %{SOURCE3} mod-firstboot.desktop
cp -a %{SOURCE4} mod-firstboot

%build

%install
install -d %{buildroot}%{_datadir}/glib-2.0/schemas
install -m0644 30_MicroOS.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas/
install -d %{buildroot}%{_prefix}/share/microos-desktop
install -m0644 flathub.flatpakrepo %{buildroot}%{_prefix}/share/microos-desktop
install -d %{buildroot}%{_sysconfdir}/skel/.config/autostart
install -m0644 mod-firstboot.desktop %{buildroot}%{_sysconfdir}/skel/.config/autostart/mod-firstboot.desktop
install -d %{buildroot}%{_bindir}
install -m0755 mod-firstboot %{buildroot}%{_bindir}/mod-firstboot

%files
%license COPYING
%{_datadir}/glib-2.0/schemas/30_MicroOS.gschema.override
%dir %{_prefix}/share/microos-desktop
%{_prefix}/share/microos-desktop/flathub.flatpakrepo
%dir %{_sysconfdir}/skel/.config
%dir %{_sysconfdir}/skel/.config/autostart
%config(noreplace) %{_sysconfdir}/skel/.config/autostart/mod-firstboot.desktop
%{_bindir}/mod-firstboot

%changelog
* Tue Jun 28 2022 Lubos Kocman <lubos.kocman@suse.com>
- Rebranding to Leap CSB
* Tue Jun 28 2022 Goran Kurel <goran.kurel@suse.com>
- Updated Flatpak install script (Slack, Teams)
* Mon Jun 27 2022 Lubos Kocman <lubos.kocman@suse.com>
- Rebranding to Leap
* Sat Jan 29 2022 Dario Faggioli <dfaggioli@suse.com>
- fix firstboot script: we should not go over 100%% as anything that is
  after "echo 100", will just be ignored (currently, it was the cleanup)
* Wed Jan 12 2022 Syds Bearda <opensuse@syds.eu>
- added an extra flatpak to Manage Extensions so a rpm based chromium or firefox browser is no longer necessary "com.mattjakeman.ExtensionManager"
* Mon Oct 11 2021 Richard Brown <rbrown@suse.com>
- Use "Text Editor" instead of the less-supported "gEdit"
* Tue Apr 27 2021 Michał Rostecki <mrostecki@suse.com>
- Wait for Internet connectivity before proceeding with next steps.
  Before this change, the mod-firstboot script was failing when:
  * there was no network configured on the first boot (happens
    when using NetworkManager, since it's not configured by YaST
    during installation)
  * the script started before wifi connection was properly
    established
- 20210427
* Mon Mar 22 2021 Richard Brown <rbrown@suse.com>
- Initial Package
